with GNATCOM.Dispinterface;

package MSHTML.DispSVGMarkerElement_Object is

   type DispSVGMarkerElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_refX
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_refX
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_refY
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_refY
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_markerUnits
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_markerUnits
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_markerWidth
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_markerWidth
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_markerHeight
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_markerHeight
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_orientType
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_orientType
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_orientAngle
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_orientAngle
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure setOrientToAuto
     (This : DispSVGMarkerElement_Type);

   procedure setOrientToAngle
     (This      : DispSVGMarkerElement_Type;
      pSVGAngle : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   procedure Put_xmlbase
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmlbase
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_ownerSVGElement
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_ownerSVGElement
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_viewportElement
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_viewportElement
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_focusable
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_focusable
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_xmllang
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmllang
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_xmlspace
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmlspace
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_externalResourcesRequired
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_className
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_viewBox
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_preserveAspectRatio
     (This : DispSVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_preserveAspectRatio
     (This : DispSVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispSVGMarkerElement_Object;

